
From: Ronald Bultje <rbultje@ronald.bitfreak.net>

This patch adds pci_disable_device() to the card release function; we
already used pci_enable_device() in the card detection function.  This was
noticed by Francois Romieu.



 drivers/media/video/zoran_card.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/media/video/zoran_card.c~zoran-pci_disable_device drivers/media/video/zoran_card.c
--- 25/drivers/media/video/zoran_card.c~zoran-pci_disable_device	2003-08-24 02:08:17.000000000 -0700
+++ 25-akpm/drivers/media/video/zoran_card.c	2003-08-24 02:08:17.000000000 -0700
@@ -1118,6 +1118,7 @@ zoran_release (struct zoran *zr)
 	kfree((void *) zr->stat_com);
 	zoran_proc_cleanup(zr);
 	iounmap(zr->zr36057_mem);
+	pci_disable_device(zr->pci_dev);
 	video_unregister_device(zr->video_dev);
 }
 

_
